## qt6-webengine 6.4.2-final+dfsg

=== debian/changelog ===
qt6-webengine (6.4.2-final+dfsg-12ubuntu9) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:57:55 +0000

qt6-webengine (6.4.2-final+dfsg-12ubuntu8) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:24:28 +0100

qt6-webengine (6.4.2-final+dfsg-12ubuntu7) noble; urgency=medium

  * Update symbols for 64-bit time_t

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Mar 2024 00:55:55 +0000

qt6-webengine (6.4.2-final+dfsg-12ubuntu5) noble; urgency=medium

  * Fix the zlib build for time_t 64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 20:00:01 +0100

qt6-webengine (6.4.2-final+dfsg-12ubuntu4) noble; urgency=medium

  [ Zixing Liu ]
  * Add another batch of patches from Chromium and v8 upstream to fix
    futher Python 3.12 compatibility issues.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 22:30:07 -0700

qt6-webengine (6.4.2-final+dfsg-12ubuntu3) noble; urgency=medium

  * Add patches from Chromium upstream to fix Python 3.12 compatibility
    issues.

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 15 Mar 2024 13:58:43 -0600

qt6-webengine (6.4.2-final+dfsg-12ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:57:29 +0000

qt6-webengine (6.4.2-final+dfsg-12ubuntu1) noble; urgency=medium

  * Add qtwebengine-icu74.patch from gentoo to fix FTBFS with icu 74.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Dec 2023 14:27:31 +0000

qt6-webengine (6.4.2-final+dfsg-12build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:55:06 +0100

qt6-webengine (6.4.2-final+dfsg-12build1) noble; urgency=medium

  * Rebuild against new libvpx8. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:54:53 +0100

qt6-webengine (6.4.2-final+dfsg-12) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace ffmpeg-remove-x86-optimization.patch with a patch that was
    applied in upstream ffmpeg.
  * Switch to the bundled re2 (Closes: #1053408).

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 21:59:37 +0200

qt6-webengine (6.4.2-final+dfsg-11) unstable; urgency=medium

  * Team upload.
  * Fix build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Aug 2023 15:27:17 -0300

qt6-webengine (6.4.2-final+dfsg-10) unstable; urgency=medium

  * Team upload to unstable.
  * Build all arch:all content as part of the arch:any build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Aug 2023 14:26:03 -0300

qt6-webengine (6.4.2-final+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit qt6-webengine-examples to architectures where it can be built.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Aug 2023 22:36:54 +0200

qt6-webengine (6.4.2-final+dfsg-8) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and example packages.

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Aug 2023 15:34:22 +0200

qt6-webengine (6.4.2-final+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jul 2023 23:13:26 +0200

qt6-webengine (6.4.2-final+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add patch to fix build failures with GCC-13 (Closes: #1037828).
  * Do not install examples.

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Jul 2023 19:03:14 +0200

qt6-webengine (6.4.2-final+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Re-enable lto but produce no debug info.

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Jun 2023 12:47:26 +0200

qt6-webengine (6.4.2-final+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Disable LTO.

 -- Patrick Franz <deltaone@debian.org>  Wed, 21 Jun 2023 12:11:28 +0200

qt6-webengine (6.4.2-final+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Reduce parallelism during build on armhf and i386.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jun 2023 20:04:29 +0200

qt6-webengine (6.4.2-final+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove ffmpeg code for shift optimization on x86, thx to Dmitry
    Shachnev (Closes: #1038131).

 -- Patrick Franz <deltaone@debian.org>  Mon, 19 Jun 2023 19:30:46 +0200

qt6-webengine (6.4.2-final+dfsg-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * Add debian/90qt6webengine-dictionaries-path.conf.
  * Add debian/qt6-webengine-dev-tools.links
  * Add debian/patches/system-openjpeg2.patch.
  * debian/control:
    - Make the qt6-webengine-dev-tools binary package
      provide the convert-dict virtual package so that Hunspell
      dictionaries can depend on it at build time.
    - Add a build-depends on libopenjp2-7-dev.
  * debian/copyright: Add myself to copyright file.
  * debian/libqt6webengine6-data.install: Install
    90qt6webengine-dictionaries-path.conf to /etc/environment.d/.
  * debian/rules: Use system libopenjpeg2.

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Switch libfontconfig1-dev BD to libfontconfig-dev as the former is
    obsolete.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Feb 2023 16:42:03 +0100
