=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\-final\+dfsg//,repacksuffix=-final+dfsg \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebengine-everywhere-src-(.*)\.tar\.xz
