## qt6-webengine 6.6.2+dfsg

=== debian/changelog ===
qt6-webengine (6.6.2+dfsg-5ubuntu2) oracular; urgency=medium

  * Mark a symbol optional on armhf with gcc 14.

 -- Rik Mills <rikmills@kde.org>  Sat, 03 Aug 2024 06:43:22 +0100

qt6-webengine (6.6.2+dfsg-5ubuntu1) oracular; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with gcc-14 on armhf due to missing
    <algorithm> include.

 -- Rik Mills <rikmills@kde.org>  Fri, 02 Aug 2024 17:16:09 +0100

qt6-webengine (6.6.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1075429).

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Jul 2024 21:07:18 +0900

qt6-webengine (6.6.2+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:47:27 +0200

qt6-webengine (6.6.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with ninja 1.12.
  * Install v8_context_snapshot.bin.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 May 2024 18:19:24 +0200

qt6-webengine (6.6.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 May 2024 08:31:55 +0200

qt6-webengine (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Update ABI to 6.6.2.
  * Refresh patches.
  * Update list of installed files.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 19:45:10 +0100

qt6-webengine (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Dec 2023 06:24:08 +0100

qt6-webengine (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 08:39:07 +0100

qt6-webengine (6.6.0+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 25 Nov 2023 11:11:30 +0100

qt6-webengine (6.6.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable check for 32bit Node.js to re-enable building on 32bit-
    architectures.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Nov 2023 18:50:06 +0100

qt6-webengine (6.6.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Adjust list of files to be excluded from the tarball.
  * Bump Qt B-Ds to 6.6.0.
  * Refresh patches and remove those that have been applied upstream.
  * Make qtwebengine build with system-libpng (Closes: #1038123).
  * Make qtwebengine build with system-libtiff (Closes: #1033749).
  * Update list of installed files.
  * Update ABI to 6.6.0 and rename it to qt6-webengine-private-abi.
  * Update symbols from buildlogs and use the (symver) directive to
    catch all private symbols.
  * Remove binary package libqt6webenginequickdelegatesqml6.
  * Update lintian-overrides.

  [ Soren Stoutner ]
  * Remove obsolete Lintian overrides.
  * Fix convert-bdic typo in qt6-webengine-dev-tools package description.

 -- Patrick Franz <deltaone@debian.org>  Thu, 23 Nov 2023 18:26:15 +0100

qt6-webengine (6.4.2-final+dfsg-14) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildds’ logs, to fix FTBFS on armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 21:35:07 +0300

qt6-webengine (6.4.2-final+dfsg-13) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix the zlib build for time_t 64, thx to Matthias Klose.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Mar 2024 08:52:50 +0100
