=== debian/rules ===
--- 
+++ 
@@ -38,18 +38,6 @@
 
 # Turn on system FFmpeg libraries for 6.3
 override_dh_auto_configure:
-	dh_auto_configure -- \
-		--log-level=STATUS \
-		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		-DFEATURE_webengine_system_icu=ON \
-		-DFEATURE_webengine_system_libevent=ON \
-		-DFEATURE_webengine_system_libopenjpeg2=ON \
-		-DFEATURE_qtpdf_build=ON \
-		-DFEATURE_qtpdf_widgets_build=ON \
-		-DFEATURE_qtpdf_quick_build=ON \
-		-DFEATURE_webengine_proprietary_codecs=ON \
-		-DFEATURE_webengine_kerberos=ON
-
 	# Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
 		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js
@@ -63,6 +51,20 @@
 		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
 		touch $(CURDIR)/$${fname}; \
 	done
+
+	dh_auto_configure -- \
+		--log-level=STATUS \
+		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DFEATURE_webengine_system_icu=ON \
+		-DFEATURE_webengine_system_libevent=ON \
+		-DFEATURE_webengine_system_libopenjpeg2=ON \
+		-DFEATURE_webengine_system_libpng=ON \
+		-DFEATURE_webengine_system_libtiff=ON \
+		-DFEATURE_qtpdf_build=ON \
+		-DFEATURE_qtpdf_widgets_build=ON \
+		-DFEATURE_qtpdf_quick_build=ON \
+		-DFEATURE_webengine_proprietary_codecs=ON \
+		-DFEATURE_webengine_kerberos=ON
 
 override_dh_auto_build:
 	dh_auto_build
